Last Comment Bug 714285 - No context menu on long tap on inputs without type=text attribute
: No context menu on long tap on inputs without type=text attribute
Status: VERIFIED FIXED
[has patch]
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 11 Branch
: ARM Android
: P3 normal (vote)
: Firefox 12
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
http://people.mozilla.org/~mwargers/t...
: 717095 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-30 07:59 PST by Martijn Wargers [:mwargers] (not working for Mozilla)
Modified: 2012-01-19 03:57 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
patch (2.13 KB, patch)
2012-01-11 12:58 PST, Matt Brubeck (:mbrubeck)
wjohnston2000: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Martijn Wargers [:mwargers] (not working for Mozilla) 2011-12-30 07:59:28 PST
See url, long tapping on the inputs on that page doesn't result in a context menu.
I guess because of the user-scalable=no meta tag, but I have no idea.
Comment 1 Matt Brubeck (:mbrubeck) 2012-01-11 12:58:38 PST
Created attachment 587792 [details] [diff] [review]
patch

The selector is looking specifically for <input type="text">, so it does not match plain <input> elements.  This patch copies the code from XUL Fennec instead, which uses mozIsTextField(false).  (The "false" means "don't exclude password fields.")
Comment 2 Wesley Johnston (:wesj) 2012-01-11 15:54:10 PST
Comment on attachment 587792 [details] [diff] [review]
patch

Review of attachment 587792 [details] [diff] [review]:
-----------------------------------------------------------------

My fiendish plan to use selectors for everything is falling apart.
Comment 4 Matt Brubeck (:mbrubeck) 2012-01-11 16:41:52 PST
Comment on attachment 587792 [details] [diff] [review]
patch

[Approval Request Comment]
Low-risk Android-only patch that fixes broken context menus on some form fields.  (Without the patch, it's impossible to display context menus for these elements.)
Comment 5 Matt Brubeck (:mbrubeck) 2012-01-12 11:01:20 PST
https://hg.mozilla.org/mozilla-central/rev/fa9cc1988191
Comment 6 Alex Keybl [:akeybl] 2012-01-16 13:09:54 PST
Comment on attachment 587792 [details] [diff] [review]
patch

[Triage Comment]
Mobile only - approved for Aurora.
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2012-01-16 22:38:57 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/98d676705242
Comment 8 Kevin Brosnan [:kbrosnan] 2012-01-16 22:40:26 PST
*** Bug 717095 has been marked as a duplicate of this bug. ***
Comment 9 Martijn Wargers [:mwargers] (not working for Mozilla) 2012-01-17 08:59:14 PST
Verified fixed in today's trunk build.

Note You need to log in before you can comment on or make changes to this bug.